#include "csc_norm_internal.h"

const char	csc_norm_internal[] =
	"# Copyright (c) 1999 Sun Microsystems, Inc.\n"
	"# Copyright (c) 1999 Nihon Sun Microsystems K.K.\n"
	"# All rights reserved.\n"
	"#\n"
	"#\n"
	"# \"$Id: encoding.norm,v 1.1.1.1.2.2 2001/08/20 06:53:38 himi Exp $\"\n"
	"#\n"
	"# \"@(#)encoding.norm 1.11   99/09/09 SMI\"\n"
	"#\n"
	"#     	|<------------- source ------------>| |<------- normalized ------->|\n"
	"#OS	locale      encoding1    encoding2    locale      encoding1 encoding2\n"
	"#\n"
	"\n"
	"-	ja          CompoundText CompoundText ja          ct_ja     ct_ja\n"
	"-	ja          CompoundText MultiByte    ja          ct_ja     eucJP\n"
	"-	ja          CompoundText UTF-16       ja          ct_ja     UTF-8%UTF-16\n"
	"-	ja          CompoundText WideChar     ja          ct_ja     eucJP\n"
	"\n"
	"-	ja          MultiByte    CompoundText ja          eucJP     ct_ja\n"
	"-	ja          MultiByte    MultiByte    ja          eucJP     eucJP\n"
	"-	ja          MultiByte    UTF-16       ja          eucJP     UTF-8%UTF-16\n"
	"-	ja          MultiByte    WideChar     ja          eucJP     eucJP\n"
	"\n"
	"-	ja          UTF-16       CompoundText ja          UTF-16    ct_ja\n"
	"-	ja          UTF-16       MultiByte    ja          UTF-16    UTF-8%eucJP\n"
	"-	ja          UTF-16       UTF-16       ja          UTF-16    UTF-16\n"
	"-	ja          UTF-16       WideChar     ja          UTF-16    UTF-8%eucJP\n"
	"\n"
	"-	ja          WideChar     CompoundText ja          eucJP     ct_ja\n"
	"-	ja          WideChar     MultiByte    ja          eucJP     eucJP\n"
	"-	ja          WideChar     UTF-16       ja          eucJP     UTF-8%UTF-16\n"
	"-	ja          WideChar     WideChar     ja          eucJP     eucJP\n"
	"\n"
	"-	ja_JP.EUC   CompoundText CompoundText ja          ct_ja     ct_ja\n"
	"-	ja_JP.EUC   CompoundText MultiByte    ja          ct_ja     eucJP\n"
	"-	ja_JP.EUC   CompoundText UTF-16       ja          ct_ja     UTF-8%UTF-16\n"
	"-	ja_JP.EUC   CompoundText WideChar     ja          ct_ja     eucJP\n"
	"\n"
	"-	ja_JP.EUC   MultiByte    CompoundText ja          eucJP     ct_ja\n"
	"-	ja_JP.EUC   MultiByte    MultiByte    ja          eucJP     eucJP\n"
	"-	ja_JP.EUC   MultiByte    UTF-16       ja          eucJP     UTF-8%UTF-16\n"
	"-	ja_JP.EUC   MultiByte    WideChar     ja          eucJP     eucJP\n"
	"\n"
	"-	ja_JP.EUC   UTF-16       CompoundText ja          UTF-16    ct_ja\n"
	"-	ja_JP.EUC   UTF-16       MultiByte    ja          UTF-16    UTF-8%eucJP\n"
	"-	ja_JP.EUC   UTF-16       UTF-16       ja          UTF-16    UTF-16\n"
	"-	ja_JP.EUC   UTF-16       WideChar     ja          UTF-16    UTF-8%eucJP\n"
	"\n"
	"-	ja_JP.EUC   WideChar     CompoundText ja          eucJP     ct_ja\n"
	"-	ja_JP.EUC   WideChar     MultiByte    ja          eucJP     eucJP\n"
	"-	ja_JP.EUC   WideChar     UTF-16       ja          eucJP     UTF-8%UTF-16\n"
	"-	ja_JP.EUC   WideChar     WideChar     ja          eucJP     eucJP\n"
	"\n"
	"-	ja_JP.eucJP CompoundText CompoundText ja_JP.eucJP ct_ja     ct_ja\n"
	"-	ja_JP.eucJP CompoundText MultiByte    ja_JP.eucJP ct_ja     eucJP\n"
	"-	ja_JP.eucJP CompoundText UTF-16       ja_JP.eucJP ct_ja     UTF-16\n"
	"-	ja_JP.eucJP CompoundText WideChar     ja_JP.eucJP ct_ja     eucJP\n"
	"\n"
	"-	ja_JP.eucJP MultiByte    CompoundText ja_JP.eucJP eucJP     ct_ja\n"
	"-	ja_JP.eucJP MultiByte    MultiByte    ja_JP.eucJP eucJP     eucJP\n"
	"-	ja_JP.eucJP MultiByte    UTF-16       ja_JP.eucJP eucJP     UTF-16\n"
	"-	ja_JP.eucJP MultiByte    WideChar     ja_JP.eucJP eucJP     eucJP\n"
	"\n"
	"-	ja_JP.eucJP UTF-16       CompoundText ja_JP.eucJP UTF-16    ct_ja\n"
	"-	ja_JP.eucJP UTF-16       MultiByte    ja_JP.eucJP UTF-16    eucJP\n"
	"-	ja_JP.eucJP UTF-16       UTF-16       ja_JP.eucJP UTF-16    UTF-16\n"
	"-	ja_JP.eucJP UTF-16       WideChar     ja_JP.eucJP UTF-16    eucJP\n"
	"\n"
	"-	ja_JP.eucJP WideChar     CompoundText ja_JP.eucJP eucJP     ct_ja\n"
	"-	ja_JP.eucJP WideChar     MultiByte    ja_JP.eucJP eucJP     eucJP\n"
	"-	ja_JP.eucJP WideChar     UTF-16       ja_JP.eucJP eucJP     UTF-16\n"
	"-	ja_JP.eucJP WideChar     WideChar     ja_JP.eucJP eucJP     eucJP\n"
	"\n"
	"-	ja_JP.PCK   CompoundText CompoundText ja_JP.PCK   ct_ja     ct_ja\n"
	"-	ja_JP.PCK   CompoundText MultiByte    ja_JP.PCK   ct_ja     eucJP%PCK\n"
	"-	ja_JP.PCK   CompoundText UTF-16       ja_JP.PCK   ct_ja     UTF-8%UTF-16\n"
	"-	ja_JP.PCK   CompoundText WideChar     ja_JP.PCK   ct_ja     eucJP%PCK\n"
	"\n"
	"-	ja_JP.PCK   MultiByte    CompoundText ja_JP.PCK   PCK       eucJP%ct_ja\n"
	"-	ja_JP.PCK   MultiByte    MultiByte    ja_JP.PCK   PCK       PCK\n"
	"-	ja_JP.PCK   MultiByte    UTF-16       ja_JP.PCK   PCK       UTF-8%UTF-16\n"
	"-	ja_JP.PCK   MultiByte    WideChar     ja_JP.PCK   PCK       PCK\n"
	"\n"
	"-	ja_JP.PCK   UTF-16       CompoundText ja_JP.PCK   UTF-16    ct_ja\n"
	"-	ja_JP.PCK   UTF-16       MultiByte    ja_JP.PCK   UTF-16    UTF-8%PCK\n"
	"-	ja_JP.PCK   UTF-16       UTF-16       ja_JP.PCK   UTF-16    UTF-16\n"
	"-	ja_JP.PCK   UTF-16       WideChar     ja_JP.PCK   UTF-16    UTF-8%PCK\n"
	"\n"
	"-	ja_JP.PCK   WideChar     CompoundText ja_JP.PCK   PCK       eucJP%ct_ja\n"
	"-	ja_JP.PCK   WideChar     MultiByte    ja_JP.PCK   PCK       PCK\n"
	"-	ja_JP.PCK   WideChar     UTF-16       ja_JP.PCK   PCK       UTF-8%UTF-16\n"
	"-	ja_JP.PCK   WideChar     WideChar     ja_JP.PCK   PCK       PCK\n"
	"\n"
	"\n"
	"-	ja_JP.UTF-8 CompoundText CompoundText ja_JP.UTF-8 ct_ja     ct_ja\n"
	"-	ja_JP.UTF-8 CompoundText MultiByte    ja_JP.UTF-8 ct_ja     UTF-8\n"
	"-	ja_JP.UTF-8 CompoundText UTF-16       ja_JP.UTF-8 ct_ja     UTF-16\n"
	"-	ja_JP.UTF-8 CompoundText WideChar     ja_JP.UTF-8 ct_ja     UTF-8\n"
	"\n"
	"-	ja_JP.UTF-8 MultiByte    CompoundText ja_JP.UTF-8 UTF-8     ct_ja\n"
	"-	ja_JP.UTF-8 MultiByte    MultiByte    ja_JP.UTF-8 UTF-8     UTF-8\n"
	"-	ja_JP.UTF-8 MultiByte    UTF-16       ja_JP.UTF-8 UTF-8     UTF-16\n"
	"-	ja_JP.UTF-8 MultiByte    WideChar     ja_JP.UTF-8 UTF-8     UTF-8\n"
	"\n"
	"-	ja_JP.UTF-8 UTF-16       CompoundText ja_JP.UTF-8 UTF-16    ct_ja\n"
	"-	ja_JP.UTF-8 UTF-16       MultiByte    ja_JP.UTF-8 UTF-16    UTF-8\n"
	"-	ja_JP.UTF-8 UTF-16       UTF-16       ja_JP.UTF-8 UTF-16    UTF-16\n"
	"-	ja_JP.UTF-8 UTF-16       WideChar     ja_JP.UTF-8 UTF-16    UTF-8\n"
	"\n"
	"-	ja_JP.UTF-8 WideChar     CompoundText ja_JP.UTF-8 UTF-8     ct_ja\n"
	"-	ja_JP.UTF-8 WideChar     MultiByte    ja_JP.UTF-8 UTF-8     UTF-8\n"
	"-	ja_JP.UTF-8 WideChar     UTF-16       ja_JP.UTF-8 UTF-8     UTF-16\n"
	"-	ja_JP.UTF-8 WideChar     WideChar     ja_JP.UTF-8 UTF-8     UTF-8\n"
	"\n"
	"\n"
	"-	ko          CompoundText CompoundText ko          ct_ko     ct_ko\n"
	"-	ko          CompoundText MultiByte    ko          ct_ko     eucKR\n"
	"-	ko          CompoundText UTF-16       ko          ct_ko     UTF-16\n"
	"-	ko          CompoundText WideChar     ko          ct_ko     eucKR\n"
	"\n"
	"-	ko          MultiByte    CompoundText ko          eucKR     ct_ko\n"
	"-	ko          MultiByte    MultiByte    ko          eucKR     eucKR\n"
	"-	ko          MultiByte    UTF-16       ko          ko_KR-euc ko_KR-UTF-8|UTF-8%UTF-16\n"
	"-	ko          MultiByte    WideChar     ko          eucKR     eucKR\n"
	"\n"
	"-	ko          UTF-16       CompoundText ko          UTF-16    ct_ko\n"
	"-	ko          UTF-16       MultiByte    ko          UTF-16    UTF-8|ko_KR-UTF-8%ko_KR-euc\n"
	"-	ko          UTF-16       UTF-16       ko          UTF-16    UTF-16\n"
	"-	ko          UTF-16       WideChar     ko          UTF-16    UTF-8|ko_KR-UTF-8%ko_KR-euc\n"
	"\n"
	"-	ko          WideChar     CompoundText ko          eucKR     ct_ko\n"
	"-	ko          WideChar     MultiByte    ko          eucKR     eucKR\n"
	"-	ko          WideChar     UTF-16       ko          ko_KR-euc ko_KR-UTF-8|UTF-8%UTF-16\n"
	"-	ko          WideChar     WideChar     ko          eucKR     eucKR\n"
	"\n"
	"\n"
	"-	ko_KR.EUC   CompoundText CompoundText ko          ct_ko     ct_ko\n"
	"-	ko_KR.EUC   CompoundText MultiByte    ko          ct_ko     eucKR\n"
	"-	ko_KR.EUC   CompoundText UTF-16       ko          ct_ko     UTF-16\n"
	"-	ko_KR.EUC   CompoundText WideChar     ko          ct_ko     eucKR\n"
	"\n"
	"-	ko_KR.EUC   MultiByte    CompoundText ko          eucKR     ct_ko\n"
	"-	ko_KR.EUC   MultiByte    MultiByte    ko          eucKR     eucKR\n"
	"-	ko_KR.EUC   MultiByte    UTF-16       ko          ko_KR-euc UTF-16\n"
	"-	ko_KR.EUC   MultiByte    WideChar     ko          eucKR     eucKR\n"
	"\n"
	"-	ko_KR.EUC   UTF-16       CompoundText ko          UTF-16    ct_ko\n"
	"-	ko_KR.EUC   UTF-16       MultiByte    ko          UTF-16    ko_KR-euc\n"
	"-	ko_KR.EUC   UTF-16       UTF-16       ko          UTF-16    UTF-16\n"
	"-	ko_KR.EUC   UTF-16       WideChar     ko          UTF-16    ko_KR-euc\n"
	"\n"
	"-	ko_KR.EUC   WideChar     CompoundText ko          eucKR     ct_ko\n"
	"-	ko_KR.EUC   WideChar     MultiByte    ko          eucKR     eucKR\n"
	"-	ko_KR.EUC   WideChar     UTF-16       ko          ko_KR-euc UTF-16\n"
	"-	ko_KR.EUC   WideChar     WideChar     ko          eucKR     eucKR\n"
	"\n"
	"\n"
	"-	ko.UTF-8    CompoundText CompoundText ko.UTF-8    ct_ko     ct_ko\n"
	"-	ko.UTF-8    CompoundText MultiByte    ko.UTF-8    ct_ko     UTF-8\n"
	"-	ko.UTF-8    CompoundText UTF-16       ko.UTF-8    ct_ko     UTF-16\n"
	"-	ko.UTF-8    CompoundText WideChar     ko.UTF-8    ct_ko     UTF-8\n"
	"\n"
	"-	ko.UTF-8    MultiByte    CompoundText ko.UTF-8    UTF-8     ct_ko\n"
	"-	ko.UTF-8    MultiByte    MultiByte    ko.UTF-8    UTF-8     UTF-8\n"
	"-	ko.UTF-8    MultiByte    UTF-16       ko.UTF-8    UTF-8     UTF-16\n"
	"-	ko.UTF-8    MultiByte    WideChar     ko.UTF-8    UTF-8     UTF-8\n"
	"\n"
	"-	ko.UTF-8    UTF-16       CompoundText ko.UTF-8    UTF-16    ct_ko\n"
	"-	ko.UTF-8    UTF-16       MultiByte    ko.UTF-8    UTF-16    UTF-8\n"
	"-	ko.UTF-8    UTF-16       UTF-16       ko.UTF-8    UTF-16    UTF-16\n"
	"-	ko.UTF-8    UTF-16       WideChar     ko.UTF-8    UTF-16    UTF-8\n"
	"\n"
	"-	ko.UTF-8    WideChar     CompoundText ko.UTF-8    UTF-8     ct_ko\n"
	"-	ko.UTF-8    WideChar     MultiByte    ko.UTF-8    UTF-8     UTF-8\n"
	"-	ko.UTF-8    WideChar     UTF-16       ko.UTF-8    UTF-8     UTF-16\n"
	"-	ko.UTF-8    WideChar     WideChar     ko.UTF-8    UTF-8     UTF-8\n"
	"\n"
	"\n"
	"-	ko_KR.UTF-8 CompoundText CompoundText ko_KR.UTF-8 ct_ko     ct_ko\n"
	"-	ko_KR.UTF-8 CompoundText MultiByte    ko_KR.UTF-8 ct_ko     UTF-8\n"
	"-	ko_KR.UTF-8 CompoundText UTF-16       ko_KR.UTF-8 ct_ko     UTF-16\n"
	"-	ko_KR.UTF-8 CompoundText WideChar     ko_KR.UTF-8 ct_ko     UTF-8\n"
	"\n"
	"-	ko_KR.UTF-8 MultiByte    CompoundText ko_KR.UTF-8 UTF-8     ct_ko\n"
	"-	ko_KR.UTF-8 MultiByte    MultiByte    ko_KR.UTF-8 UTF-8     UTF-8\n"
	"-	ko_KR.UTF-8 MultiByte    UTF-16       ko_KR.UTF-8 UTF-8     UTF-16\n"
	"-	ko_KR.UTF-8 MultiByte    WideChar     ko_KR.UTF-8 UTF-8     UTF-8\n"
	"\n"
	"-	ko_KR.UTF-8 UTF-16       CompoundText ko_KR.UTF-8 UTF-16    ct_ko\n"
	"-	ko_KR.UTF-8 UTF-16       MultiByte    ko_KR.UTF-8 UTF-16    UTF-8\n"
	"-	ko_KR.UTF-8 UTF-16       UTF-16       ko_KR.UTF-8 UTF-16    UTF-16\n"
	"-	ko_KR.UTF-8 UTF-16       WideChar     ko_KR.UTF-8 UTF-16    UTF-8\n"
	"\n"
	"-	ko_KR.UTF-8 WideChar     CompoundText ko_KR.UTF-8 UTF-8     ct_ko\n"
	"-	ko_KR.UTF-8 WideChar     MultiByte    ko_KR.UTF-8 UTF-8     UTF-8\n"
	"-	ko_KR.UTF-8 WideChar     UTF-16       ko_KR.UTF-8 UTF-8     UTF-16\n"
	"-	ko_KR.UTF-8 WideChar     WideChar     ko_KR.UTF-8 UTF-8     UTF-8\n"
	"\n"
	"\n"
	"-	zh          CompoundText CompoundText zh          ct_zh     ct_zh\n"
	"-	zh          CompoundText MultiByte    zh          ct_zh     eucZH\n"
	"-	zh          CompoundText UTF-16       zh          ct_zh     UTF-16\n"
	"-	zh          CompoundText WideChar     zh          ct_zh     eucZH\n"
	"\n"
	"-	zh          MultiByte    CompoundText zh          eucZH     ct_zh\n"
	"-	zh          MultiByte    MultiByte    zh          eucZH     gb2312\n"
	"-	zh          MultiByte    UTF-16       zh          gb2312    UTF-16\n"
	"-	zh          MultiByte    WideChar     zh          eucZH	  eucZH\n"
	"\n"
	"-	zh          UTF-16       CompoundText zh          UTF-16    ct_zh\n"
	"-	zh          UTF-16       MultiByte    zh          UTF-16    gb2312\n"
	"-	zh          UTF-16       UTF-16       zh          UTF-16    UTF-16\n"
	"-	zh          UTF-16       WideChar     zh          UTF-16    gb2312\n"
	"\n"
	"-	zh          WideChar     CompoundText zh          eucZH     ct_zh\n"
	"-	zh          WideChar     MultiByte    zh          eucZH     eucZH\n"
	"-	zh          WideChar     UTF-16       zh          gb2312    UTF-16\n"
	"-	zh          WideChar     WideChar     zh          eucZH     eucZH\n"
	"\n"
	"\n"
	"-	zh.GBK      CompoundText CompoundText zh.GBK      ct_zh.GBK ct_zh.GBK\n"
	"-	zh.GBK      CompoundText MultiByte    zh.GBK      ct_zh.GBK GBK\n"
	"-	zh.GBK      CompoundText UTF-16       zh.GBK      ct_zh.GBK UTF-16\n"
	"-	zh.GBK      CompoundText WideChar     zh.GBK      ct_zh.GBK GBK\n"
	"\n"
	"-	zh.GBK      MultiByte    CompoundText zh.GBK      GBK       ct_zh.GBK\n"
	"-	zh.GBK      MultiByte    MultiByte    zh.GBK      GBK       GBK\n"
	"-	zh.GBK      MultiByte    UTF-16       zh.GBK      GBK       UTF-16\n"
	"-	zh.GBK      MultiByte    WideChar     zh.GBK      GBK       GBK\n"
	"\n"
	"-	zh.GBK      UTF-16       CompoundText zh.GBK      UTF-16    ct_zh.GBK\n"
	"-	zh.GBK      UTF-16       MultiByte    zh.GBK      UTF-16    GBK\n"
	"-	zh.GBK      UTF-16       UTF-16       zh.GBK      UTF-16    UTF-16\n"
	"-	zh.GBK      UTF-16       WideChar     zh.GBK      UTF-16    GBK\n"
	"\n"
	"-	zh.GBK      WideChar     CompoundText zh.GBK      GBK       ct_zh.GBK\n"
	"-	zh.GBK      WideChar     MultiByte    zh.GBK      GBK       GBK\n"
	"-	zh.GBK      WideChar     UTF-16       zh.GBK      GBK       UTF-16\n"
	"-	zh.GBK      WideChar     WideChar     zh.GBK      GBK       GBK\n"
	"\n"
	"\n"
	"-	zh_TW       CompoundText CompoundText -       ct_zh_TW     ct_zh_TW\n"
	"-	zh_TW       CompoundText MultiByte    -       ct_zh_TW     eucTW\n"
	"-	zh_TW       CompoundText UTF-16       -       ct_zh_TW     UTF-16\n"
	"-	zh_TW       CompoundText WideChar     -       ct_zh_TW     eucTW\n"
	"\n"
	"-	zh_TW       MultiByte    CompoundText -       eucTW        ct_zh_TW\n"
	"-	zh_TW       MultiByte    MultiByte    -       zh_TW-euc    zh_TW-euc\n"
	"-	zh_TW       MultiByte    UTF-16       -       zh_TW-euc    UTF-16\n"
	"-	zh_TW       MultiByte    WideChar     -       zh_TW-euc    zh_TW-euc\n"
	"\n"
	"-	zh_TW       UTF-16       CompoundText -       UTF-16       ct_zh_TW\n"
	"-	zh_TW       UTF-16       MultiByte    -       UTF-16       zh_TW-euc\n"
	"-	zh_TW       UTF-16       UTF-16       -       UTF-16       UTF-16\n"
	"-	zh_TW       UTF-16       WideChar     -       UTF-16       zh_TW-euc\n"
	"\n"
	"-	zh_TW       WideChar     CompoundText -       eucTW        ct_zh_TW\n"
	"-	zh_TW       WideChar     MultiByte    -       eucTW        eucTW\n"
	"-	zh_TW       WideChar     UTF-16       -       zh_TW-euc    UTF-16\n"
	"-	zh_TW       WideChar     WideChar     -       eucTW        eucTW\n"
	"\n"
	"\n"
	"-	zh_TW.BIG5  CompoundText CompoundText -       ct_zh_TW     ct_zh_TW\n"
	"-	zh_TW.BIG5  CompoundText MultiByte    -       ct_zh_TW     zh_TW-euc%zh_TW-big5\n"
	"-	zh_TW.BIG5  CompoundText UTF-16       -       ct_zh_TW     -\n"
	"-	zh_TW.BIG5  CompoundText WideChar     -       ct_zh_TW     zh_TW-euc%zh_TW-big5\n"
	"\n"
	"-	zh_TW.BIG5  MultiByte    CompoundText -       zh_TW-big5   zh_TW-euc%ct_zh_TW\n"
	"-	zh_TW.BIG5  MultiByte    MultiByte    -       BIG5         BIG5\n"
	"-	zh_TW.BIG5  MultiByte    UTF-16       -       BIG5         -\n"
	"-	zh_TW.BIG5  MultiByte    WideChar     -       BIG5         BIG5\n"
	"\n"
	"-	zh_TW.BIG5  UTF-16       CompoundText -       UTF-16       ct_zh_TW\n"
	"-	zh_TW.BIG5  UTF-16       MultiByte    -       UTF-16       zh_TW-big5\n"
	"-	zh_TW.BIG5  UTF-16       UTF-16       -       UTF-16       -\n"
	"-	zh_TW.BIG5  UTF-16       WideChar     -       UTF-16       zh_TW-big5\n"
	"\n"
	"-	zh_TW.BIG5  WideChar     CompoundText -       zh_TW-big5   zh_TW-euc%ct_zh_TW\n"
	"-	zh_TW.BIG5  WideChar     MultiByte    -       BIG5         BIG5\n"
	"-	zh_TW.BIG5  WideChar     UTF-16       -       zh_TW-big5   -\n"
	"-	zh_TW.BIG5  WideChar     WideChar     -       BIG5         BIG5\n"
	"\n"
	"\n"
	"-	zh_TW.EUC   CompoundText CompoundText zh_TW   ct_zh_TW     ct_zh_TW\n"
	"-	zh_TW.EUC   CompoundText MultiByte    zh_TW   ct_zh_TW     zh_TW-euc\n"
	"-	zh_TW.EUC   CompoundText UTF-16       zh_TW   ct_zh_TW     -\n"
	"-	zh_TW.EUC   CompoundText WideChar     zh_TW   ct_zh_TW     zh_TW-euc\n"
	"\n"
	"-	zh_TW.EUC   MultiByte    CompoundText zh_TW   zh_TW-euc    ct_zh_TW\n"
	"-	zh_TW.EUC   MultiByte    MultiByte    zh_TW   zh_TW-euc    zh_TW-euc\n"
	"-	zh_TW.EUC   MultiByte    UTF-16       zh_TW   zh_TW-euc    -\n"
	"-	zh_TW.EUC   MultiByte    WideChar     zh_TW   zh_TW-euc    zh_TW-euc\n"
	"\n"
	"-	zh_TW.EUC   UTF-16       CompoundText zh_TW   UTF-16       ct_zh_TW\n"
	"-	zh_TW.EUC   UTF-16       MultiByte    zh_TW   UTF-16       zh_TW-euc\n"
	"-	zh_TW.EUC   UTF-16       UTF-16       zh_TW   UTF-16       -\n"
	"-	zh_TW.EUC   UTF-16       WideChar     zh_TW   UTF-16       zh_TW-euc\n"
	"\n"
	"-	zh_TW.EUC   WideChar     CompoundText zh_TW   zh_TW-euc    ct_zh_TW\n"
	"-	zh_TW.EUC   WideChar     MultiByte    zh_TW   zh_TW-euc    zh_TW-euc\n"
	"-	zh_TW.EUC   WideChar     UTF-16       zh_TW   zh_TW-euc    -\n"
	"-	zh_TW.EUC   WideChar     WideChar     zh_TW   zh_TW-euc    zh_TW-euc\n"
	"\n"
	"\n"
	"-	zh.UTF-8    CompoundText CompoundText zh.UTF-8 ct_zh       ct_zh\n"
	"-	zh.UTF-8    CompoundText MultiByte    zh.UTF-8 ct_zh       UTF-8\n"
	"-	zh.UTF-8    CompoundText UTF-16       zh.UTF-8 ct_zh       UTF-16\n"
	"-	zh.UTF-8    CompoundText WideChar     zh.UTF-8 ct_zh       UTF-8\n"
	"\n"
	"-	zh.UTF-8    MultiByte    CompoundText zh.UTF-8 UTF-8       ct_zh\n"
	"-	zh.UTF-8    MultiByte    MultiByte    zh.UTF-8 UTF-8       UTF-8\n"
	"-	zh.UTF-8    MultiByte    UTF-16       zh.UTF-8 UTF-8       UTF-16\n"
	"-	zh.UTF-8    MultiByte    WideChar     zh.UTF-8 UTF-8       UTF-8\n"
	"\n"
	"-	zh.UTF-8    UTF-16       CompoundText zh.UTF-8 UTF-16      ct_zh\n"
	"-	zh.UTF-8    UTF-16       MultiByte    zh.UTF-8 UTF-16      UTF-8\n"
	"-	zh.UTF-8    UTF-16       UTF-16       zh.UTF-8 UTF-16      UTF-16\n"
	"-	zh.UTF-8    UTF-16       WideChar     zh.UTF-8 UTF-16      UTF-8\n"
	"\n"
	"-	zh.UTF-8    WideChar     CompoundText zh.UTF-8 UTF-8       ct_zh\n"
	"-	zh.UTF-8    WideChar     MultiByte    zh.UTF-8 UTF-8       UTF-8\n"
	"-	zh.UTF-8    WideChar     UTF-16       zh.UTF-8 UTF-8       UTF-16\n"
	"-	zh.UTF-8    WideChar     WideChar     zh.UTF-8 UTF-8       UTF-8\n"
	"\n"
	"\n"
	"-	zh_TW.UTF-8 CompoundText CompoundText zh_TW.UTF-8 ct_zh_TW     ct_zh_TW\n"
	"-	zh_TW.UTF-8 CompoundText MultiByte    zh_TW.UTF-8 ct_zh_TW     UTF-8\n"
	"-	zh_TW.UTF-8 CompoundText UTF-16       zh_TW.UTF-8 ct_zh_TW     UTF-16\n"
	"-	zh_TW.UTF-8 CompoundText WideChar     zh_TW.UTF-8 ct_zh_TW     UTF-8\n"
	"\n"
	"-	zh_TW.UTF-8 MultiByte    CompoundText zh_TW.UTF-8 UTF-8        ct_zh_TW\n"
	"-	zh_TW.UTF-8 MultiByte    MultiByte    zh_TW.UTF-8 UTF-8        UTF-8\n"
	"-	zh_TW.UTF-8 MultiByte    UTF-16       zh_TW.UTF-8 UTF-8        UTF-16\n"
	"-	zh_TW.UTF-8 MultiByte    WideChar     zh_TW.UTF-8 UTF-8        UTF-8\n"
	"\n"
	"-	zh_TW.UTF-8 UTF-16       CompoundText zh_TW.UTF-8 UTF-16       ct_zh_TW\n"
	"-	zh_TW.UTF-8 UTF-16       MultiByte    zh_TW.UTF-8 UTF-16       UTF-8\n"
	"-	zh_TW.UTF-8 UTF-16       UTF-16       zh_TW.UTF-8 UTF-16       UTF-16\n"
	"-	zh_TW.UTF-8 UTF-16       WideChar     zh_TW.UTF-8 UTF-16       UTF-8\n"
	"\n"
	"-	zh_TW.UTF-8 WideChar     CompoundText zh_TW.UTF-8 UTF-8        ct_zh_TW\n"
	"-	zh_TW.UTF-8 WideChar     MultiByte    zh_TW.UTF-8 UTF-8        UTF-8\n"
	"-	zh_TW.UTF-8 WideChar     UTF-16       zh_TW.UTF-8 UTF-8        UTF-16\n"
	"-	zh_TW.UTF-8 WideChar     WideChar     zh_TW.UTF-8 UTF-8        UTF-8\n"
	"\n"
	"\n"
	"-	-           ja_JP.EUC   UTF-8    -           eucJP       UTF-8\n"
	"-	ja          EUC         utf8     ja          eucJP       UTF-8\n"
	"-	ja          euc         utf8     ja          eucJP       UTF-8\n"
	"\n"
	"\n"
	"-	de.UTF-8      UTF-16 CompoundText  de.UTF-8      UTF-16    ct_de\n"
	"-	de.UTF-8@euro UTF-16 CompoundText  de.UTF-8@euro UTF-16    ct_de\n"
	"-	en_US.UTF-8   UTF-16 CompoundText  en_US.UTF-8   UTF-16    ct_en_US\n"
	"-	es.UTF-8      UTF-16 CompoundText  es.UTF-8      UTF-16    ct_es\n"
	"-	es.UTF-8@euro UTF-16 CompoundText  es.UTF-8@euro UTF-16    ct_es\n"
	"-	fr.UTF-8      UTF-16 CompoundText  fr.UTF-8      UTF-16    ct_fr\n"
	"-	fr.UTF-8@euro UTF-16 CompoundText  fr.UTF-8@euro UTF-16    ct_fr\n"
	"-	it.UTF-8      UTF-16 CompoundText  it.UTF-8      UTF-16    ct_it\n"
	"-	it.UTF-8@euro UTF-16 CompoundText  it.UTF-8@euro UTF-16    ct_it\n"
	"-	sv.UTF-8      UTF-16 CompoundText  sv.UTF-8      UTF-16    ct_sv\n"
	"-	sv.UTF-8@euro UTF-16 CompoundText  sv.UTF-8@euro UTF-16    ct_sv\n"
	"\n"
	"## UTF-8 locales.\n"
	"\n"
	"-       af_ZA.UTF-8   UTF-16 Multibyte     af_ZA.UTF-8   UTF-16    UTF-8\n"
	"-       af_ZA.UTF-8   Multibyte UTF-16     af_ZA.UTF-8   UTF-8     UTF-16\n"
	"-       ar_AA.UTF-8   UTF-16 Multibyte     ar_AA.UTF-8   UTF-16    UTF-8\n"
	"-       ar_AA.UTF-8   Multibyte UTF-16     ar_AA.UTF-8   UTF-8     UTF-16\n"
	"-       ar_BH.UTF-8   UTF-16 Multibyte     ar_BH.UTF-8   UTF-16    UTF-8\n"
	"-       ar_BH.UTF-8   Multibyte UTF-16     ar_BH.UTF-8   UTF-8     UTF-16\n"
	"-       ar_DZ.UTF-8   UTF-16 Multibyte     ar_DZ.UTF-8   UTF-16    UTF-8\n"
	"-       ar_DZ.UTF-8   Multibyte UTF-16     ar_DZ.UTF-8   UTF-8     UTF-16\n"
	"-       ar_EG.UTF-8   UTF-16 Multibyte     ar_EG.UTF-8   UTF-16    UTF-8\n"
	"-       ar_EG.UTF-8   Multibyte UTF-16     ar_EG.UTF-8   UTF-8     UTF-16\n"
	"-       ar_IQ.UTF-8   UTF-16 Multibyte     ar_IQ.UTF-8   UTF-16    UTF-8\n"
	"-       ar_IQ.UTF-8   Multibyte UTF-16     ar_IQ.UTF-8   UTF-8     UTF-16\n"
	"-       ar_JO.UTF-8   UTF-16 Multibyte     ar_JO.UTF-8   UTF-16    UTF-8\n"
	"-       ar_JO.UTF-8   Multibyte UTF-16     ar_JO.UTF-8   UTF-8     UTF-16\n"
	"-       ar_KW.UTF-8   UTF-16 Multibyte     ar_KW.UTF-8   UTF-16    UTF-8\n"
	"-       ar_KW.UTF-8   Multibyte UTF-16     ar_KW.UTF-8   UTF-8     UTF-16\n"
	"-       ar_LB.UTF-8   UTF-16 Multibyte     ar_LB.UTF-8   UTF-16    UTF-8\n"
	"-       ar_LB.UTF-8   Multibyte UTF-16     ar_LB.UTF-8   UTF-8     UTF-16\n"
	"-       ar_LY.UTF-8   UTF-16 Multibyte     ar_LY.UTF-8   UTF-16    UTF-8\n"
	"-       ar_LY.UTF-8   Multibyte UTF-16     ar_LY.UTF-8   UTF-8     UTF-16\n"
	"-       ar_MA.UTF-8   UTF-16 Multibyte     ar_MA.UTF-8   UTF-16    UTF-8\n"
	"-       ar_MA.UTF-8   Multibyte UTF-16     ar_MA.UTF-8   UTF-8     UTF-16\n"
	"-       ar_OM.UTF-8   UTF-16 Multibyte     ar_OM.UTF-8   UTF-16    UTF-8\n"
	"-       ar_OM.UTF-8   Multibyte UTF-16     ar_OM.UTF-8   UTF-8     UTF-16\n"
	"-       ar_QA.UTF-8   UTF-16 Multibyte     ar_QA.UTF-8   UTF-16    UTF-8\n"
	"-       ar_QA.UTF-8   Multibyte UTF-16     ar_QA.UTF-8   UTF-8     UTF-16\n"
	"-       ar_SA.UTF-8   UTF-16 Multibyte     ar_SA.UTF-8   UTF-16    UTF-8\n"
	"-       ar_SA.UTF-8   Multibyte UTF-16     ar_SA.UTF-8   UTF-8     UTF-16\n"
	"-       ar_TN.UTF-8   UTF-16 Multibyte     ar_TN.UTF-8   UTF-16    UTF-8\n"
	"-       ar_TN.UTF-8   Multibyte UTF-16     ar_TN.UTF-8   UTF-8     UTF-16\n"
	"-       ar_YE.UTF-8   UTF-16 Multibyte     ar_YE.UTF-8   UTF-16    UTF-8\n"
	"-       ar_YE.UTF-8   Multibyte UTF-16     ar_YE.UTF-8   UTF-8     UTF-16\n"
	"-       az_AZ.UTF-8   UTF-16 Multibyte     az_AZ.UTF-8   UTF-16    UTF-8\n"
	"-       az_AZ.UTF-8   Multibyte UTF-16     az_AZ.UTF-8   UTF-8     UTF-16\n"
	"-       a3_AZ.UTF-8   UTF-16 Multibyte     a3_AZ.UTF-8   UTF-16    UTF-8\n"
	"-       a3_AZ.UTF-8   Multibyte UTF-16     a3_AZ.UTF-8   UTF-8     UTF-16\n"
	"-       be_BY.UTF-8   UTF-16 Multibyte     be_BY.UTF-8   UTF-16    UTF-8\n"
	"-       be_BY.UTF-8   Multibyte UTF-16     be_BY.UTF-8   UTF-8     UTF-16\n"
	"-       bg_BG.UTF-8   UTF-16 Multibyte     bg_BG.UTF-8   UTF-16    UTF-8\n"
	"-       bg_BG.UTF-8   Multibyte UTF-16     bg_BG.UTF-8   UTF-8     UTF-16\n"
	"-       br_FR.UTF-8   UTF-16 Multibyte     br_FR.UTF-8   UTF-16    UTF-8\n"
	"-       br_FR.UTF-8   Multibyte UTF-16     br_FR.UTF-8   UTF-8     UTF-16\n"
	"-       ca_ES.UTF-8   UTF-16 Multibyte     ca_ES.UTF-8   UTF-16    UTF-8\n"
	"-       ca_ES.UTF-8   Multibyte UTF-16     ca_ES.UTF-8   UTF-8     UTF-16\n"
	"-       cs_CZ.UTF-8   UTF-16 Multibyte     cs_CZ.UTF-8   UTF-16    UTF-8\n"
	"-       cs_CZ.UTF-8   Multibyte UTF-16     cs_CZ.UTF-8   UTF-8     UTF-16\n"
	"-       cy_GB.UTF-8   UTF-16 Multibyte     cy_GB.UTF-8   UTF-16    UTF-8\n"
	"-       cy_GB.UTF-8   Multibyte UTF-16     cy_GB.UTF-8   UTF-8     UTF-16\n"
	"-       cz_CZ.UTF-8   UTF-16 Multibyte     cz_CZ.UTF-8   UTF-16    UTF-8\n"
	"-       cz_CZ.UTF-8   Multibyte UTF-16     cz_CZ.UTF-8   UTF-8     UTF-16\n"
	"-       da_DK.UTF-8   UTF-16 Multibyte     da_DK.UTF-8   UTF-16    UTF-8\n"
	"-       da_DK.UTF-8   Multibyte UTF-16     da_DK.UTF-8   UTF-8     UTF-16\n"
	"-       de_AT.UTF-8   UTF-16 Multibyte     de_AT.UTF-8   UTF-16    UTF-8\n"
	"-       de_AT.UTF-8   Multibyte UTF-16     de_AT.UTF-8   UTF-8     UTF-16\n"
	"-       de_BE.UTF-8   UTF-16 Multibyte     de_BE.UTF-8   UTF-16    UTF-8\n"
	"-       de_BE.UTF-8   Multibyte UTF-16     de_BE.UTF-8   UTF-8     UTF-16\n"
	"-       de_CH.UTF-8   UTF-16 Multibyte     de_CH.UTF-8   UTF-16    UTF-8\n"
	"-       de_CH.UTF-8   Multibyte UTF-16     de_CH.UTF-8   UTF-8     UTF-16\n"
	"-       de_DE.UTF-8   UTF-16 Multibyte     de_DE.UTF-8   UTF-16    UTF-8\n"
	"-       de_DE.UTF-8   Multibyte UTF-16     de_DE.UTF-8   UTF-8     UTF-16\n"
	"-       de_LI.UTF-8   UTF-16 Multibyte     de_LI.UTF-8   UTF-16    UTF-8\n"
	"-       de_LI.UTF-8   Multibyte UTF-16     de_LI.UTF-8   UTF-8     UTF-16\n"
	"-       de_LU.UTF-8   UTF-16 Multibyte     de_LU.UTF-8   UTF-16    UTF-8\n"
	"-       de_LU.UTF-8   Multibyte UTF-16     de_LU.UTF-8   UTF-8     UTF-16\n"
	"-       el_GR.UTF-8   UTF-16 Multibyte     el_GR.UTF-8   UTF-16    UTF-8\n"
	"-       el_GR.UTF-8   Multibyte UTF-16     el_GR.UTF-8   UTF-8     UTF-16\n"
	"-       en_AU.UTF-8   UTF-16 Multibyte     en_AU.UTF-8   UTF-16    UTF-8\n"
	"-       en_AU.UTF-8   Multibyte UTF-16     en_AU.UTF-8   UTF-8     UTF-16\n"
	"-       en_BZ.UTF-8   UTF-16 Multibyte     en_BZ.UTF-8   UTF-16    UTF-8\n"
	"-       en_BZ.UTF-8   Multibyte UTF-16     en_BZ.UTF-8   UTF-8     UTF-16\n"
	"-       en_CA.UTF-8   UTF-16 Multibyte     en_CA.UTF-8   UTF-16    UTF-8\n"
	"-       en_CA.UTF-8   Multibyte UTF-16     en_CA.UTF-8   UTF-8     UTF-16\n"
	"-       en_GB.UTF-8   UTF-16 Multibyte     en_GB.UTF-8   UTF-16    UTF-8\n"
	"-       en_GB.UTF-8   Multibyte UTF-16     en_GB.UTF-8   UTF-8     UTF-16\n"
	"-       en_IE.UTF-8   UTF-16 Multibyte     en_IE.UTF-8   UTF-16    UTF-8\n"
	"-       en_IE.UTF-8   Multibyte UTF-16     en_IE.UTF-8   UTF-8     UTF-16\n"
	"-       en_JM.UTF-8   UTF-16 Multibyte     en_JM.UTF-8   UTF-16    UTF-8\n"
	"-       en_JM.UTF-8   Multibyte UTF-16     en_JM.UTF-8   UTF-8     UTF-16\n"
	"-       en_NZ.UTF-8   UTF-16 Multibyte     en_NZ.UTF-8   UTF-16    UTF-8\n"
	"-       en_NZ.UTF-8   Multibyte UTF-16     en_NZ.UTF-8   UTF-8     UTF-16\n"
	"-       en_TT.UTF-8   UTF-16 Multibyte     en_TT.UTF-8   UTF-16    UTF-8\n"
	"-       en_TT.UTF-8   Multibyte UTF-16     en_TT.UTF-8   UTF-8     UTF-16\n"
	"-       en_UK.UTF-8   UTF-16 Multibyte     en_UK.UTF-8   UTF-16    UTF-8\n"
	"-       en_UK.UTF-8   Multibyte UTF-16     en_UK.UTF-8   UTF-8     UTF-16\n"
	"-       en_US.UTF-8   UTF-16 Multibyte     en_US.UTF-8   UTF-16    UTF-8\n"
	"-       en_US.UTF-8   Multibyte UTF-16     en_US.UTF-8   UTF-8     UTF-16\n"
	"-       en_ZA.UTF-8   UTF-16 Multibyte     en_ZA.UTF-8   UTF-16    UTF-8\n"
	"-       en_ZA.UTF-8   Multibyte UTF-16     en_ZA.UTF-8   UTF-8     UTF-16\n"
	"-       eo_XX.UTF-8   UTF-16 Multibyte     eo_XX.UTF-8   UTF-16    UTF-8\n"
	"-       eo_XX.UTF-8   Multibyte UTF-16     eo_XX.UTF-8   UTF-8     UTF-16\n"
	"-       es_AR.UTF-8   UTF-16 Multibyte     es_AR.UTF-8   UTF-16    UTF-8\n"
	"-       es_AR.UTF-8   Multibyte UTF-16     es_AR.UTF-8   UTF-8     UTF-16\n"
	"-       es_BO.UTF-8   UTF-16 Multibyte     es_BO.UTF-8   UTF-16    UTF-8\n"
	"-       es_BO.UTF-8   Multibyte UTF-16     es_BO.UTF-8   UTF-8     UTF-16\n"
	"-       es_CL.UTF-8   UTF-16 Multibyte     es_CL.UTF-8   UTF-16    UTF-8\n"
	"-       es_CL.UTF-8   Multibyte UTF-16     es_CL.UTF-8   UTF-8     UTF-16\n"
	"-       es_CO.UTF-8   UTF-16 Multibyte     es_CO.UTF-8   UTF-16    UTF-8\n"
	"-       es_CO.UTF-8   Multibyte UTF-16     es_CO.UTF-8   UTF-8     UTF-16\n"
	"-       es_CR.UTF-8   UTF-16 Multibyte     es_CR.UTF-8   UTF-16    UTF-8\n"
	"-       es_CR.UTF-8   Multibyte UTF-16     es_CR.UTF-8   UTF-8     UTF-16\n"
	"-       es_DO.UTF-8   UTF-16 Multibyte     es_DO.UTF-8   UTF-16    UTF-8\n"
	"-       es_DO.UTF-8   Multibyte UTF-16     es_DO.UTF-8   UTF-8     UTF-16\n"
	"-       es_EC.UTF-8   UTF-16 Multibyte     es_EC.UTF-8   UTF-16    UTF-8\n"
	"-       es_EC.UTF-8   Multibyte UTF-16     es_EC.UTF-8   UTF-8     UTF-16\n"
	"-       es_ES.UTF-8   UTF-16 Multibyte     es_ES.UTF-8   UTF-16    UTF-8\n"
	"-       es_ES.UTF-8   Multibyte UTF-16     es_ES.UTF-8   UTF-8     UTF-16\n"
	"-       es_GT.UTF-8   UTF-16 Multibyte     es_GT.UTF-8   UTF-16    UTF-8\n"
	"-       es_GT.UTF-8   Multibyte UTF-16     es_GT.UTF-8   UTF-8     UTF-16\n"
	"-       es_HN.UTF-8   UTF-16 Multibyte     es_HN.UTF-8   UTF-16    UTF-8\n"
	"-       es_HN.UTF-8   Multibyte UTF-16     es_HN.UTF-8   UTF-8     UTF-16\n"
	"-       es_MX.UTF-8   UTF-16 Multibyte     es_MX.UTF-8   UTF-16    UTF-8\n"
	"-       es_MX.UTF-8   Multibyte UTF-16     es_MX.UTF-8   UTF-8     UTF-16\n"
	"-       es_NI.UTF-8   UTF-16 Multibyte     es_NI.UTF-8   UTF-16    UTF-8\n"
	"-       es_NI.UTF-8   Multibyte UTF-16     es_NI.UTF-8   UTF-8     UTF-16\n"
	"-       es_PA.UTF-8   UTF-16 Multibyte     es_PA.UTF-8   UTF-16    UTF-8\n"
	"-       es_PA.UTF-8   Multibyte UTF-16     es_PA.UTF-8   UTF-8     UTF-16\n"
	"-       es_PE.UTF-8   UTF-16 Multibyte     es_PE.UTF-8   UTF-16    UTF-8\n"
	"-       es_PE.UTF-8   Multibyte UTF-16     es_PE.UTF-8   UTF-8     UTF-16\n"
	"-       es_PR.UTF-8   UTF-16 Multibyte     es_PR.UTF-8   UTF-16    UTF-8\n"
	"-       es_PR.UTF-8   Multibyte UTF-16     es_PR.UTF-8   UTF-8     UTF-16\n"
	"-       es_PY.UTF-8   UTF-16 Multibyte     es_PY.UTF-8   UTF-16    UTF-8\n"
	"-       es_PY.UTF-8   Multibyte UTF-16     es_PY.UTF-8   UTF-8     UTF-16\n"
	"-       es_SV.UTF-8   UTF-16 Multibyte     es_SV.UTF-8   UTF-16    UTF-8\n"
	"-       es_SV.UTF-8   Multibyte UTF-16     es_SV.UTF-8   UTF-8     UTF-16\n"
	"-       es_UY.UTF-8   UTF-16 Multibyte     es_UY.UTF-8   UTF-16    UTF-8\n"
	"-       es_UY.UTF-8   Multibyte UTF-16     es_UY.UTF-8   UTF-8     UTF-16\n"
	"-       es_VE.UTF-8   UTF-16 Multibyte     es_VE.UTF-8   UTF-16    UTF-8\n"
	"-       es_VE.UTF-8   Multibyte UTF-16     es_VE.UTF-8   UTF-8     UTF-16\n"
	"-       et_EE.UTF-8   UTF-16 Multibyte     et_EE.UTF-8   UTF-16    UTF-8\n"
	"-       et_EE.UTF-8   Multibyte UTF-16     et_EE.UTF-8   UTF-8     UTF-16\n"
	"-       eu_ES.UTF-8   UTF-16 Multibyte     eu_ES.UTF-8   UTF-16    UTF-8\n"
	"-       eu_ES.UTF-8   Multibyte UTF-16     eu_ES.UTF-8   UTF-8     UTF-16\n"
	"-       fa_IR.UTF-8   UTF-16 Multibyte     fa_IR.UTF-8   UTF-16    UTF-8\n"
	"-       fa_IR.UTF-8   Multibyte UTF-16     fa_IR.UTF-8   UTF-8     UTF-16\n"
	"-       fi_FI.UTF-8   UTF-16 Multibyte     fi_FI.UTF-8   UTF-16    UTF-8\n"
	"-       fi_FI.UTF-8   Multibyte UTF-16     fi_FI.UTF-8   UTF-8     UTF-16\n"
	"-       fo_FO.UTF-8   UTF-16 Multibyte     fo_FO.UTF-8   UTF-16    UTF-8\n"
	"-       fo_FO.UTF-8   Multibyte UTF-16     fo_FO.UTF-8   UTF-8     UTF-16\n"
	"-       fr_BE.UTF-8   UTF-16 Multibyte     fr_BE.UTF-8   UTF-16    UTF-8\n"
	"-       fr_BE.UTF-8   Multibyte UTF-16     fr_BE.UTF-8   UTF-8     UTF-16\n"
	"-       fr_CA.UTF-8   UTF-16 Multibyte     fr_CA.UTF-8   UTF-16    UTF-8\n"
	"-       fr_CA.UTF-8   Multibyte UTF-16     fr_CA.UTF-8   UTF-8     UTF-16\n"
	"-       fr_CH.UTF-8   UTF-16 Multibyte     fr_CH.UTF-8   UTF-16    UTF-8\n"
	"-       fr_CH.UTF-8   Multibyte UTF-16     fr_CH.UTF-8   UTF-8     UTF-16\n"
	"-       fr_FR.UTF-8   UTF-16 Multibyte     fr_FR.UTF-8   UTF-16    UTF-8\n"
	"-       fr_FR.UTF-8   Multibyte UTF-16     fr_FR.UTF-8   UTF-8     UTF-16\n"
	"-       fr_LU.UTF-8   UTF-16 Multibyte     fr_LU.UTF-8   UTF-16    UTF-8\n"
	"-       fr_LU.UTF-8   Multibyte UTF-16     fr_LU.UTF-8   UTF-8     UTF-16\n"
	"-       ga_IE.UTF-8   UTF-16 Multibyte     ga_IE.UTF-8   UTF-16    UTF-8\n"
	"-       ga_IE.UTF-8   Multibyte UTF-16     ga_IE.UTF-8   UTF-8     UTF-16\n"
	"-       gd_GB.UTF-8   UTF-16 Multibyte     gd_GB.UTF-8   UTF-16    UTF-8\n"
	"-       gd_GB.UTF-8   Multibyte UTF-16     gd_GB.UTF-8   UTF-8     UTF-16\n"
	"-       gl_ES.UTF-8   UTF-16 Multibyte     gl_ES.UTF-8   UTF-16    UTF-8\n"
	"-       gl_ES.UTF-8   Multibyte UTF-16     gl_ES.UTF-8   UTF-8     UTF-16\n"
	"-       gv_GB.UTF-8   UTF-16 Multibyte     gv_GB.UTF-8   UTF-16    UTF-8\n"
	"-       gv_GB.UTF-8   Multibyte UTF-16     gv_GB.UTF-8   UTF-8     UTF-16\n"
	"-       he_IL.UTF-8   UTF-16 Multibyte     he_IL.UTF-8   UTF-16    UTF-8\n"
	"-       he_IL.UTF-8   Multibyte UTF-16     he_IL.UTF-8   UTF-8     UTF-16\n"
	"-       hi_IN.UTF-8   UTF-16 Multibyte     hi_IN.UTF-8   UTF-16    UTF-8\n"
	"-       hi_IN.UTF-8   Multibyte UTF-16     hi_IN.UTF-8   UTF-8     UTF-16\n"
	"-       hr_HR.UTF-8   UTF-16 Multibyte     hr_HR.UTF-8   UTF-16    UTF-8\n"
	"-       hr_HR.UTF-8   Multibyte UTF-16     hr_HR.UTF-8   UTF-8     UTF-16\n"
	"-       hu_HU.UTF-8   UTF-16 Multibyte     hu_HU.UTF-8   UTF-16    UTF-8\n"
	"-       hu_HU.UTF-8   Multibyte UTF-16     hu_HU.UTF-8   UTF-8     UTF-16\n"
	"-       hy_AM.UTF-8   UTF-16 Multibyte     hy_AM.UTF-8   UTF-16    UTF-8\n"
	"-       hy_AM.UTF-8   Multibyte UTF-16     hy_AM.UTF-8   UTF-8     UTF-16\n"
	"-       id_ID.UTF-8   UTF-16 Multibyte     id_ID.UTF-8   UTF-16    UTF-8\n"
	"-       id_ID.UTF-8   Multibyte UTF-16     id_ID.UTF-8   UTF-8     UTF-16\n"
	"-       is_IS.UTF-8   UTF-16 Multibyte     is_IS.UTF-8   UTF-16    UTF-8\n"
	"-       is_IS.UTF-8   Multibyte UTF-16     is_IS.UTF-8   UTF-8     UTF-16\n"
	"-       it_CH.UTF-8   UTF-16 Multibyte     it_CH.UTF-8   UTF-16    UTF-8\n"
	"-       it_CH.UTF-8   Multibyte UTF-16     it_CH.UTF-8   UTF-8     UTF-16\n"
	"-       it_IT.UTF-8   UTF-16 Multibyte     it_IT.UTF-8   UTF-16    UTF-8\n"
	"-       it_IT.UTF-8   Multibyte UTF-16     it_IT.UTF-8   UTF-8     UTF-16\n"
	"-       iu_CA.UTF-8   UTF-16 Multibyte     iu_CA.UTF-8   UTF-16    UTF-8\n"
	"-       iu_CA.UTF-8   Multibyte UTF-16     iu_CA.UTF-8   UTF-8     UTF-16\n"
	"-       ja_JP.UTF-8   UTF-16 Multibyte     ja_JP.UTF-8   UTF-16    UTF-8\n"
	"-       ja_JP.UTF-8   Multibyte UTF-16     ja_JP.UTF-8   UTF-8     UTF-16\n"
	"-       ka_GE.UTF-8   UTF-16 Multibyte     ka_GE.UTF-8   UTF-16    UTF-8\n"
	"-       ka_GE.UTF-8   Multibyte UTF-16     ka_GE.UTF-8   UTF-8     UTF-16\n"
	"-       kl_GL.UTF-8   UTF-16 Multibyte     kl_GL.UTF-8   UTF-16    UTF-8\n"
	"-       kl_GL.UTF-8   Multibyte UTF-16     kl_GL.UTF-8   UTF-8     UTF-16\n"
	"-       ko_KR.UTF-8   UTF-16 Multibyte     ko_KR.UTF-8   UTF-16    UTF-8\n"
	"-       ko_KR.UTF-8   Multibyte UTF-16     ko_KR.UTF-8   UTF-8     UTF-16\n"
	"-       kw_GB.UTF-8   UTF-16 Multibyte     kw_GB.UTF-8   UTF-16    UTF-8\n"
	"-       kw_GB.UTF-8   Multibyte UTF-16     kw_GB.UTF-8   UTF-8     UTF-16\n"
	"-       lo_LA.UTF-8   UTF-16 Multibyte     lo_LA.UTF-8   UTF-16    UTF-8\n"
	"-       lo_LA.UTF-8   Multibyte UTF-16     lo_LA.UTF-8   UTF-8     UTF-16\n"
	"-       lt_LT.UTF-8   UTF-16 Multibyte     lt_LT.UTF-8   UTF-16    UTF-8\n"
	"-       lt_LT.UTF-8   Multibyte UTF-16     lt_LT.UTF-8   UTF-8     UTF-16\n"
	"-       lv_LV.UTF-8   UTF-16 Multibyte     lv_LV.UTF-8   UTF-16    UTF-8\n"
	"-       lv_LV.UTF-8   Multibyte UTF-16     lv_LV.UTF-8   UTF-8     UTF-16\n"
	"-       mi_NZ.UTF-8   UTF-16 Multibyte     mi_NZ.UTF-8   UTF-16    UTF-8\n"
	"-       mi_NZ.UTF-8   Multibyte UTF-16     mi_NZ.UTF-8   UTF-8     UTF-16\n"
	"-       mk_MK.UTF-8   UTF-16 Multibyte     mk_MK.UTF-8   UTF-16    UTF-8\n"
	"-       mk_MK.UTF-8   Multibyte UTF-16     mk_MK.UTF-8   UTF-8     UTF-16\n"
	"-       ms_MY.UTF-8   UTF-16 Multibyte     ms_MY.UTF-8   UTF-16    UTF-8\n"
	"-       ms_MY.UTF-8   Multibyte UTF-16     ms_MY.UTF-8   UTF-8     UTF-16\n"
	"-       nl_BE.UTF-8   UTF-16 Multibyte     nl_BE.UTF-8   UTF-16    UTF-8\n"
	"-       nl_BE.UTF-8   Multibyte UTF-16     nl_BE.UTF-8   UTF-8     UTF-16\n"
	"-       nl_NL.UTF-8   UTF-16 Multibyte     nl_NL.UTF-8   UTF-16    UTF-8\n"
	"-       nl_NL.UTF-8   Multibyte UTF-16     nl_NL.UTF-8   UTF-8     UTF-16\n"
	"-       no_NO.UTF-8   UTF-16 Multibyte     no_NO.UTF-8   UTF-16    UTF-8\n"
	"-       no_NO.UTF-8   Multibyte UTF-16     no_NO.UTF-8   UTF-8     UTF-16\n"
	"-       nb_NO.UTF-8   UTF-16 Multibyte     nb_NO.UTF-8   UTF-16    UTF-8\n"
	"-       nb_NO.UTF-8   Multibyte UTF-16     nb_NO.UTF-8   UTF-8     UTF-16\n"
	"-       ny_NO.UTF-8   UTF-16 Multibyte     ny_NO.UTF-8   UTF-16    UTF-8\n"
	"-       ny_NO.UTF-8   Multibyte UTF-16     ny_NO.UTF-8   UTF-8     UTF-16\n"
	"-       oc_FR.UTF-8   UTF-16 Multibyte     oc_FR.UTF-8   UTF-16    UTF-8\n"
	"-       oc_FR.UTF-8   Multibyte UTF-16     oc_FR.UTF-8   UTF-8     UTF-16\n"
	"-       pd_DE.UTF-8   UTF-16 Multibyte     pd_DE.UTF-8   UTF-16    UTF-8\n"
	"-       pd_DE.UTF-8   Multibyte UTF-16     pd_DE.UTF-8   UTF-8     UTF-16\n"
	"-       pd_US.UTF-8   UTF-16 Multibyte     pd_US.UTF-8   UTF-16    UTF-8\n"
	"-       pd_US.UTF-8   Multibyte UTF-16     pd_US.UTF-8   UTF-8     UTF-16\n"
	"-       ph_PH.UTF-8   UTF-16 Multibyte     ph_PH.UTF-8   UTF-16    UTF-8\n"
	"-       ph_PH.UTF-8   Multibyte UTF-16     ph_PH.UTF-8   UTF-8     UTF-16\n"
	"-       pl_PL.UTF-8   UTF-16 Multibyte     pl_PL.UTF-8   UTF-16    UTF-8\n"
	"-       pl_PL.UTF-8   Multibyte UTF-16     pl_PL.UTF-8   UTF-8     UTF-16\n"
	"-       pp_AN.UTF-8   UTF-16 Multibyte     pp_AN.UTF-8   UTF-16    UTF-8\n"
	"-       pp_AN.UTF-8   Multibyte UTF-16     pp_AN.UTF-8   UTF-8     UTF-16\n"
	"-       pt_BR.UTF-8   UTF-16 Multibyte     pt_BR.UTF-8   UTF-16    UTF-8\n"
	"-       pt_BR.UTF-8   Multibyte UTF-16     pt_BR.UTF-8   UTF-8     UTF-16\n"
	"-       pt_PT.UTF-8   UTF-16 Multibyte     pt_PT.UTF-8   UTF-16    UTF-8\n"
	"-       pt_PT.UTF-8   Multibyte UTF-16     pt_PT.UTF-8   UTF-8     UTF-16\n"
	"-       ro_RO.UTF-8   UTF-16 Multibyte     ro_RO.UTF-8   UTF-16    UTF-8\n"
	"-       ro_RO.UTF-8   Multibyte UTF-16     ro_RO.UTF-8   UTF-8     UTF-16\n"
	"-       ru_RU.UTF-8   UTF-16 Multibyte     ru_RU.UTF-8   UTF-16    UTF-8\n"
	"-       ru_RU.UTF-8   Multibyte UTF-16     ru_RU.UTF-8   UTF-8     UTF-16\n"
	"-       ru_UA.UTF-8   UTF-16 Multibyte     ru_UA.UTF-8   UTF-16    UTF-8\n"
	"-       ru_UA.UTF-8   Multibyte UTF-16     ru_UA.UTF-8   UTF-8     UTF-16\n"
	"-       sk_SK.UTF-8   UTF-16 Multibyte     sk_SK.UTF-8   UTF-16    UTF-8\n"
	"-       sk_SK.UTF-8   Multibyte UTF-16     sk_SK.UTF-8   UTF-8     UTF-16\n"
	"-       sl_SI.UTF-8   UTF-16 Multibyte     sl_SI.UTF-8   UTF-16    UTF-8\n"
	"-       sl_SI.UTF-8   Multibyte UTF-16     sl_SI.UTF-8   UTF-8     UTF-16\n"
	"-       sq_AL.UTF-8   UTF-16 Multibyte     sq_AL.UTF-8   UTF-16    UTF-8\n"
	"-       sq_AL.UTF-8   Multibyte UTF-16     sq_AL.UTF-8   UTF-8     UTF-16\n"
	"-       sr_YU.UTF-8   UTF-16 Multibyte     sr_YU.UTF-8   UTF-16    UTF-8\n"
	"-       sr_YU.UTF-8   Multibyte UTF-16     sr_YU.UTF-8   UTF-8     UTF-16\n"
	"-       sv_FI.UTF-8   UTF-16 Multibyte     sv_FI.UTF-8   UTF-16    UTF-8\n"
	"-       sv_FI.UTF-8   Multibyte UTF-16     sv_FI.UTF-8   UTF-8     UTF-16\n"
	"-       sv_SE.UTF-8   UTF-16 Multibyte     sv_SE.UTF-8   UTF-16    UTF-8\n"
	"-       sv_SE.UTF-8   Multibyte UTF-16     sv_SE.UTF-8   UTF-8     UTF-16\n"
	"-       ta_IN.UTF-8   UTF-16 Multibyte     ta_IN.UTF-8   UTF-16    UTF-8\n"
	"-       ta_IN.UTF-8   Multibyte UTF-16     ta_IN.UTF-8   UTF-8     UTF-16\n"
	"-       tg_TJ.UTF-8   UTF-16 Multibyte     tg_TJ.UTF-8   UTF-16    UTF-8\n"
	"-       tg_TJ.UTF-8   Multibyte UTF-16     tg_TJ.UTF-8   UTF-8     UTF-16\n"
	"-       th_TH.UTF-8   UTF-16 Multibyte     th_TH.UTF-8   UTF-16    UTF-8\n"
	"-       th_TH.UTF-8   Multibyte UTF-16     th_TH.UTF-8   UTF-8     UTF-16\n"
	"-       tl_PH.UTF-8   UTF-16 Multibyte     tl_PH.UTF-8   UTF-16    UTF-8\n"
	"-       tl_PH.UTF-8   Multibyte UTF-16     tl_PH.UTF-8   UTF-8     UTF-16\n"
	"-       tr_TR.UTF-8   UTF-16 Multibyte     tr_TR.UTF-8   UTF-16    UTF-8\n"
	"-       tr_TR.UTF-8   Multibyte UTF-16     tr_TR.UTF-8   UTF-8     UTF-16\n"
	"-       tt_RU.UTF-8   UTF-16 Multibyte     tt_RU.UTF-8   UTF-16    UTF-8\n"
	"-       tt_RU.UTF-8   Multibyte UTF-16     tt_RU.UTF-8   UTF-8     UTF-16\n"
	"-       uk_UA.UTF-8   UTF-16 Multibyte     uk_UA.UTF-8   UTF-16    UTF-8\n"
	"-       uk_UA.UTF-8   Multibyte UTF-16     uk_UA.UTF-8   UTF-8     UTF-16\n"
	"-       ur_PK.UTF-8   UTF-16 Multibyte     ur_PK.UTF-8   UTF-16    UTF-8\n"
	"-       ur_PK.UTF-8   Multibyte UTF-16     ur_PK.UTF-8   UTF-8     UTF-16\n"
	"-       vi_VN.UTF-8   UTF-16 Multibyte     vi_VN.UTF-8   UTF-16    UTF-8\n"
	"-       vi_VN.UTF-8   Multibyte UTF-16     vi_VN.UTF-8   UTF-8     UTF-16\n"
	"-       wa_BE.UTF-8   UTF-16 Multibyte     wa_BE.UTF-8   UTF-16    UTF-8\n"
	"-       wa_BE.UTF-8   Multibyte UTF-16     wa_BE.UTF-8   UTF-8     UTF-16\n"
	"-       yi_US.UTF-8   UTF-16 Multibyte     yi_US.UTF-8   UTF-16    UTF-8\n"
	"-       yi_US.UTF-8   Multibyte UTF-16     yi_US.UTF-8   UTF-8     UTF-16\n"
	"-       zh_CN.UTF-8   UTF-16 Multibyte     zh_CN.UTF-8   UTF-16    UTF-8\n"
	"-       zh_CN.UTF-8   Multibyte UTF-16     zh_CN.UTF-8   UTF-8     UTF-16\n"
	"-       zh_HK.UTF-8   UTF-16 Multibyte     zh_HK.UTF-8   UTF-16    UTF-8\n"
	"-       zh_HK.UTF-8   Multibyte UTF-16     zh_HK.UTF-8   UTF-8     UTF-16\n"
	"-       zh_TW.UTF-8   UTF-16 Multibyte     zh_TW.UTF-8   UTF-16    UTF-8\n"
	"-       zh_TW.UTF-8   Multibyte UTF-16     zh_TW.UTF-8   UTF-8     UTF-16\n"
;
const int	csc_norm_internal_len = ((sizeof (csc_norm_internal)) - 1);
